# std::logical_not< Type > Struct Template Reference
[Boolean Operations Classes]

One of the Boolean operations functors. More...

`#include <stl_function.h>`

Inheritance diagram for std::logical_not< Type >:

[legend]
Collaboration diagram for std::logical_not< Type >:

[legend]
List of all members.

## Public Types

typedef Type | argument_type
| `argument_type` is the type of the
typedef bool | result_type
| `result_type` is the return type

## Detailed Description

### template<class Type>
struct std::logical_not< Type >

One of the Boolean operations functors.

Definition at line 275 of file stl_function.h.

## Member Typedef Documentation

typedef Type std::unary_function< Type , bool >::argument_type `[inherited]`

| `argument_type` is the type of the Definition at line 104 of file stl_function.h.

typedef bool std::unary_function< Type , bool >::result_type `[inherited]`

| `result_type` is the return type Definition at line 107 of file stl_function.h.

The documentation for this struct was generated from the following file:

- stl_function.h